@charset "ISO-8859-1";

/******************************************************************************
* Header
******************************************************************************/

#warranty-header {
	background-color: #ffffff;
	color: #454545;
	background-image: url('https://s3.eu-west-1.amazonaws.com/media.markselectrical.co.uk/pages/warranty/warranty-hero.jpg');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
}

body.webp #warranty-header {
	background-image: url('https://s3.eu-west-1.amazonaws.com/media.markselectrical.co.uk/pages/warranty/warranty-hero.webp');
}

#warranty-header .warranty-title-wrapper {
	min-height: 180px;
}

#warranty-header .warranty-text {
	font-family: 'Centrale Sans Regular', Trebuchet, sans-serif;
	font-size: 0.875rem;
}

#warranty-header .warranty-button {
	font-size: 0.875rem;
}

@media screen and (max-width: 767px) {
	#warranty-header {
		background-image: url('https://s3.eu-west-1.amazonaws.com/media.markselectrical.co.uk/pages/warranty/warranty-hero-mobile.jpg');
		height: 610px;
	}

	body.webp #warranty-header {
		background-image: url('https://s3.eu-west-1.amazonaws.com/media.markselectrical.co.uk/pages/warranty/warranty-hero-mobile.webp');
	}
}

/******************************************************************************
* Breadcrumbs - Custom Overrides
******************************************************************************/

.breadcrumbs li, .breadcrumbs li a {
	color: #ffffff;
}

.breadcrumbs li.current, .breadcrumbs li.current a {
	color: #2d2d2d;
}

.breadcrumbs li a:hover, .breadcrumbs li.current a:hover {
	color: #2d2d2d;
}

/******************************************************************************
* Longer-lasting cover
******************************************************************************/

.longer-lasting-cover .divider {
	border-right: 1px solid #ffffff;
}

.longer-lasting-cover .selling-point p {
	font-size: 0.9375rem;
}

.longer-lasting-cover .selling-point p.bold {
	font-size: 1.125rem;
}

@media screen and (max-width: 767px) {
	.longer-lasting-cover .divider {
		border-right: none;
	}
}

/******************************************************************************
* About Product Protection
******************************************************************************/

.about-product-protection .protection-block p.protection-details, 
.about-product-protection .protection-block ul.protection-details li, 
.about-product-protection .protection-block .protection-details a, 
.about-product-protection .policy-documents p.policy-type, 
.about-product-protection .policy-documents p.policy-document {
	font-size: 0.9375rem;
}

.about-product-protection .protection-block ul.protection-details {
	list-style-position: inside;
	list-style-type: none;
}

.about-product-protection .protection-block ul.protection-details li::before {
	content: '- ';
}

.about-product-protection .protection-block .protection-details a {
	color: #0099ff;
}

.about-product-protection .policy-documents {
	background-color: #f5f5f5;
	border-radius: 15px;
	padding: 2rem;
}

/******************************************************************************
* Start - Domestic & General
******************************************************************************/

#domestic-general {
	max-width: 480px;
}

#domestic-general p.bold {
	font-size: 1.25rem;
	color: #404040;
}

#domestic-general a.pushbutton {
	font-size: 1.0625rem;
	max-width: 100%;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	border-radius: 32px;
}

@media screen and (max-width: 767px) {
	#domestic-general {
		max-width: unset;
	}

	#domestic-general p.bold {
		color: #ffffff;
	}
}

/******************************************************************************
* Product Protection Popups
******************************************************************************/

#product-protection-popup {
	display: none;
	position: fixed;
	padding: 0;
	background-color: #ffffff;
	border-radius: 5px;
	z-index: 102;
	/* font-size: 10pt; */
	top: 50%;
	left: 50%;
	overflow: hidden;
	transform: translateY(-50%);
	-o-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	-moz-transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
	box-shadow: 0px 0px 10px 0px rgba(69,69,69,1);
	-moz-box-shadow: 0px 0px 10px 0px rgba(69,69,69,1);
	-webkit-box-shadow: 0px 0px 10px 0px rgba(69,69,69,1);
	min-height: 200px;
	/* xs by default*/
	width: 96%;
	margin-left: -48%;
	max-height: 90vh;
}

@media (min-width: 768px) and (max-width: 1199px) { /* md/lg */
	#product-protection-popup {
		width: 600px;
		margin-left: -300px;
	}
}

@media (min-width: 1200px) { /* xl */
	#product-protection-popup {
		width: 680px;
		margin-left: -340px;
	}
}

#product-protection-popup .protection-popup-header {
	width: 100%;
	padding: 2.25em 2.25em 0;
	text-align: center;
	margin-top: 5px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#product-protection-popup .protection-popup-header .popup-header-bg {
	/* background-color: rgba(0, 153, 255, 0.05); */
	padding: 10px 15px;
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	max-width: 90%;
}

#product-protection-popup .protection-popup-header img {
	margin-bottom: 20px;
}

#product-protection-popup .protection-popup-header h3 {
	color: #454545;
	font-family: 'Centrale Sans Bold', Trebuchet, sans-serif;
	font-size: 1.5625rem;
	line-height: 1em;
	margin: 0;
}

#product-protection-popup .protection-popup-header img.modal-tick {
	margin-bottom: 6px;
}

#product-protection-popup .protection-popup-close {
	color: #ffffff;
	border-radius: 5px;
	padding: 0.15em;
	position: absolute;
	top: 20px;
	right: 20px;
}

@media (max-width:767px) {
	#product-protection-popup .protection-popup-close {
		top: 10px;
		right: 10px;
	}
}

#product-protection-popup .protection-popup-close span {
	font-size: 1.5em;
}

#product-protection-popup div.protection-popup-body {
	width: 100%;
	padding: 0 2rem 2rem;
	max-height: calc(90vh - 136px);
	overflow-y: scroll;
}

#product-protection-popup div.protection-popup-body .bold {
	font-family: 'Centrale Sans Bold', Trebuchet, sans-serif;
}

#product-protection-popup div.protection-popup-body .medium {
	font-family: 'Centrale Sans Medium', Trebuchet, sans-serif;
}

#product-protection-popup .protection-popup-items {
	padding: 1.25rem;
}

#product-protection-popup .protection-popup-items .warranty-quote {
	display: flex;
	flex-direction: row;
	justify-content: stretch;
	align-items: center;
	margin: 0.75rem 0;
	color: #454545;
}

#product-protection-popup .protection-popup-items .warranty-quote .quote-info {
	flex-grow: 1;
	background-color: #ffffff;
	border: 2px solid #1d8d08;
	border-radius: 1.5rem 0 0 1.5rem;
}

#product-protection-popup .protection-popup-items .warranty-quote .quote-info p {
	font-family: 'Centrale Sans Medium', Trebuchet, sans-serif;
	text-align: center;
}

#product-protection-popup .protection-popup-items .warranty-quote .quote-info p.quote-title {
	font-family: 'Centrale Sans Bold', Trebuchet, sans-serif;
	font-size: 1.25rem;
	color: #1d8d08;
}

#product-protection-popup .protection-popup-items .warranty-quote .quote-price {
	flex-shrink: 1;
	background-color: #1d8d08;
	border: 2px solid #1d8d08;
	border-radius: 0 1.5rem 1.5rem 0;
}

#product-protection-popup .protection-popup-items .warranty-quote .quote-price p.price {
	font-family: 'Centrale Sans Medium', Trebuchet, sans-serif;
	font-size: 1.25rem;
	color: #ffffff;
	text-align: center;
}

#product-protection-popup .protection-popup-items .warranty-compare {
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	padding: 0;
}

#product-protection-popup .protection-popup-items .warranty-compare .covered {
	margin-top: 1rem;
}

#product-protection-popup .protection-popup-items .warranty-compare .covered p.title {
	font-family: 'Centrale Sans Bold', Trebuchet, sans-serif;
	font-size: 1.25rem;
}

#product-protection-popup .protection-popup-items .warranty-compare .not-covered p.title {
	font-family: 'Centrale Sans Bold', Trebuchet, sans-serif;
	font-size: 1.25rem;
}

#product-protection-popup .protection-popup-items .warranty-compare .covered ul.covered-list li {
	font-size: 0.875rem;
	line-height: 1.5rem;
	text-align: left;
	margin-left: 1.5rem;
}

#product-protection-popup .protection-popup-items .warranty-compare .covered ul.covered-list li::marker {
	content: url("https://s3.eu-west-1.amazonaws.com/media.markselectrical.co.uk/domestic-general/dg-tick.png") "  ";
}

/* (Safari + MobileSafari >= 14.6) or (All MobileSafari versions) */
/* Chromium added one or both of these selectors in a recent update - April 2023 */
/* @supports (selector(:nth-child(1 of x))) or (-webkit-touch-callout: none) { */
/* Newer detection for Safari only after Apple added a non-standard -webkit- function */
@supports (background: -webkit-named-image(i)) {
	#product-protection-popup .protection-popup-items .warranty-compare .covered ul.covered-list ul {
		list-style-type: none;
		padding: 0.75rem 0;
	}
	
	#product-protection-popup .protection-popup-items .warranty-compare .covered ul.covered-list li::before {
		content: url("https://s3.eu-west-1.amazonaws.com/media.markselectrical.co.uk/domestic-general/dg-tick.png") "  ";
		position: absolute;
		left: 5px;
	}
}

#product-protection-popup .protection-popup-items .warranty-compare .not-covered {
	margin-top: 1rem;
}

#product-protection-popup .protection-popup-items .warranty-compare .not-covered ul.not-covered-list li {
	font-size: 0.875rem;
	line-height: 1.5rem;
	text-align: left;
	margin-left: 1.5rem;
}

#product-protection-popup .protection-popup-items .warranty-compare .not-covered ul.not-covered-list li::marker {
	content: url("https://s3.eu-west-1.amazonaws.com/media.markselectrical.co.uk/domestic-general/dg-cross-grey.png") "  ";
}

/* (Safari + MobileSafari >= 14.6) or (All MobileSafari versions) */
/* Chromium added one or both of these selectors in a recent update - April 2023 */
/* @supports (selector(:nth-child(1 of x))) or (-webkit-touch-callout: none) { */
/* Newer detection for Safari only after Apple added a non-standard -webkit- function */
@supports (background: -webkit-named-image(i)) {
	#product-protection-popup .protection-popup-items .warranty-compare .not-covered ul.not-covered-list ul {
		list-style-type: none;
		padding: 0.75rem 0;
	}
	
	#product-protection-popup .protection-popup-items .warranty-compare .not-covered ul.not-covered-list li::before {
		content: url("https://s3.eu-west-1.amazonaws.com/media.markselectrical.co.uk/domestic-general/dg-cross-grey.png") "  ";
		position: absolute;
		left: 5px;
	}
}

#product-protection-popup .protection-popup-summary {
	padding: 1.25rem;
}

#product-protection-popup .protection-popup-summary .warranty-block {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	padding: 0;
}

#product-protection-popup .protection-popup-summary .warranty-block .extra-info p {
	font-size: 0.75rem;
	text-align: center;
}

#product-protection-popup .protection-popup-summary .warranty-block .extra-info p.lead a {
	font-size: 0.75rem;
	color: #454545;
	text-decoration: underline;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-text {
	display: flex;
	flex-direction: column;
	align-items: left;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-text p {
	margin-bottom: 1rem;
	font-size: 0.8125rem;
	text-align: center;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-text p a {
	color: #454545;
	text-decoration: underline;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-notes p.direct-debit-notes {
	font-size: 0.75rem;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-notes p.direct-debit-notes i {
	color: #1d8d08;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-confirm {
	display: flex;
	flex-direction: row;
	justify-content: stretch;
	align-items: center;
	margin: 0.75rem 0;
	padding: 1rem;
	color: #454545;
	border: 2px solid #1d8d08;
	border-radius: 1.5rem;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-confirm .checkbox-container {
	margin: auto 1rem auto 0;
	padding: 0;
	display: flex;
	min-width: 30px;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-confirm input[type=checkbox] {
	cursor: pointer;
	appearance: none;
	accent-color: #1d8d08;
	border: 1px solid #d3d3d3;
	width: 30px;
	height: 30px;
	content: none;
	outline: none;
	border-radius: 50%;
	display: inline-flex;
	position: relative;
	margin: 0;
	opacity: unset;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-confirm input[type=checkbox]:checked {
	background-color: #1d8d08;
	text-align: center;
	border: unset;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-confirm input[type=checkbox]:checked::before {
	content: "\f00c";
	font-family: 'FontAwesome';
	font-size: 1.0625rem;
	color: #ffffff;
	margin: auto;
	/*rotate: -14deg;*/
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-confirm p {
	font-size: 0.875rem;
}

#product-protection-popup .protection-popup-summary .warranty-block .warranty-block-confirm p a {
	color: #454545;
	text-decoration: underline;
}

#product-protection-popup .protection-popup-buttons .pushbutton-container {
	padding: 10px 25px 5px;
	margin-left: 25%;
}

@media (max-width: 991px) {
	#product-protection-popup .protection-popup-buttons .pushbutton-container {
		padding: 10px 15px 5px;
	}
}

#product-protection-popup .protection-popup-buttons .pushbutton-container .pushbutton {
	font-family: 'Centrale Sans Medium', 'Trebuchet', sans-serif;
	width: 100%;
	border-radius: 25px;
}

@media screen and (max-width: 575px) {
	div.info-popup-warranty .protection-popup-items .warranty-quote {
		flex-direction: column;
	}
	
	div.info-popup-warranty .protection-popup-items .warranty-quote .quote-info {
		border-radius: 1.5rem 1.5rem 0 0;
		width: 100%;
	}
	
	div.info-popup-warranty .protection-popup-items .warranty-quote .quote-price {
		border-radius: 0 0 1.5rem 1.5rem;
		width: 100%;
	}
}

/******************************************************************************
* Extra Responsive Styles
******************************************************************************/

@media screen and (max-width: 767px) {
	#domestic-general .dg-price h4 {
		text-align: left;
	}

	#product-protection-popup div.protection-popup-body {
		padding: 1rem;
		max-height: calc(90vh - 174px);
	}

	#product-protection-popup .protection-popup-buttons .pushbutton-container {
		margin-left: 0;
	}
}